{% extends '_base.html.jinja' %}
{% set title = "Succession " ~ succession.dsi %}

{% block more_head %}
<style>
main {
  padding: 8px;
}
main a code {
  white-space: nowrap;
}
main h1 {
  margin-top: 16px;
  text-align: center;
}
main h1 code {
  font-size: 0.75em;
}
.editions {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 32px;
  margin-bottom: 24px;
  font-size: 1.25em;
}
.editions > ul {
  margin-top: 0.5rem;
}
.btn-edition {
  width: 5rem;
}
.tech-details {
  margin-top: 48px;
}
a.swh-uri code {
  font-size: 12px;
}
main {
  margin-left: auto;
  margin-right: auto;
  max-width: 800px;
}
main ul li {
  margin-bottom: 8px;
}
</style>
{% endblock more_head %}

{% block torso_content %}
<main>

<h1>
  Baseprint document succession
  <a href="https://perm.pub/{{succession.dsi}}">
    <code>{{succession.dsi}}</code>
  </a>
</h1>

<div class="editions">
<h2>Baseprint Editions</h2>
<ul class="list-unstyled">
{% for ed in succession.editions|reverse %}
{% if ed.listed %}
<li>
  <a class="btn btn-success btn-edition" href="../{{ed.edid}}/">ed. {{ed.edid}}</a>
  &ensp;
  <a href="../{{ed.edid}}/">{{ed.date}}</a>
</li>
{% endif %}
{% endfor %}
</ul>
</div>

<div class="tech-details">

<h3>Technical Details</h3>
{% set swh = "https://archive.softwareheritage.org" %}

<p>
<a href="https://perm.pub/{{succession.dsi}}"><code>{{succession.dsi}}</code></a>
is a
<a href="https://popgen.es/1wFGhvmv8XZfPx0O5Hya2e9AyXo">Document Succession Identifier</a>
(DSI) for a Baseprint document succession.
It is archived as a chain of digitally signed git records,
intrinsically identified by the SoftWare Hash Identifier (SWHID)
<a href="https://archive.softwareheritage.org/api/1/revision/{{succession.revision}}/log/">
swh:1:rev:{{succession.revision}}</a>,
at the Software Heritage Archive.
</p>

<p>
Each edition is a Baseprint document snapshot that can be identified by the following SWHIDs:
<ul class="list-unstyled">
{% for ed in succession.editions|reverse %}
{% if ed.listed %}
<li>
  <tt>{{ed.edid}}</tt>
  &emsp;<tt>{{ed.date}}</tt>
  &emsp;<a class="swh-uri" href="{{swh}}/{{ed.hash_scheme}}{{ed.hexhash}}">{{ed.hash_scheme}}<code>{{ed.hexhash}}</code>
  </a>
</li>
{% endif %}
{% endfor %}
</ul>
</p>

<p>
To learn more about Baseprint document succession,
visit <a href="https://try.perm.pub">try.perm.pub</a>.
</p>

</div>

</main>
{% endblock torso_content %}
